Download Transcript Post
curl --request POST \
--url https://api.lingopal.ai/v2/download/{media_id}/transcript \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"locale": "source",
"layout": "compact",
"file_format": "txt",
"include_columns": [],
"exclude_columns": []
}
'import requests
url = "https://api.lingopal.ai/v2/download/{media_id}/transcript"
payload = {
"locale": "source",
"layout": "compact",
"file_format": "txt",
"include_columns": [],
"exclude_columns": []
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
locale: 'source',
layout: 'compact',
file_format: 'txt',
include_columns: [],
exclude_columns: []
})
};
fetch('https://api.lingopal.ai/v2/download/{media_id}/transcript', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": "Transcript Not Found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Transcripts
Download Transcript Post
POST
/
v2
/
download
/
{media_id}
/
transcript
Download Transcript Post
Description
Downloads the transcript for a given media ID in various formats and customize outputAuthorizations
Path Parameters
Body
application/json
Available options:
compact, detailed Available options:
json, csv, tsv, txt Available options:
speaker_id, start_time, end_time, text, gender, emotion Available options:
speaker_id, start_time, end_time, text, gender, emotion Response
Successful Response
โI